# Method Image.XBM._decode()

Method _decode

  ```object`` _decode(`string` `data`)`
  ```object`` _decode(`string` `data`, `object` `mappingoptions`)`

Description

  Decodes a XBM image to a mapping.

          Supported options:
         ([
            "fg":({fgcolor}),    // Foreground color. Default black
            "bg":({bgcolor}),    // Background color. Default white
            "invert":1,          // Invert the mask
          ])

Note

  Throws upon error in data.